TypeCheckingVisitor (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.parser
Class TypeCheckingVisitor

    java.lang.Object
      fr.inrialpes.exmo.align.parser.TypeCheckingVisitor

    public class TypeCheckingVisitor

extends Object

Renders an alignment in its RDF format

Version:
  $Id: RDFRendererVisitor.java 1335 2010-03-18 20:52:30Z euzenat $
Author:
  Jérôme Euzenat

Field Summary
`(package private) EDOALAlignment` | `alignment`
`(package private) EDOALCell` | `cell`
`private static Namespace` | `DEF`
`(package private) boolean` | `embedded`
`private boolean` | `isPattern`
`(package private) Hashtable<String,String>` | `nslist`

Constructor Summary
`TypeCheckingVisitor()`

Method Summary
`void` | `visit(Apply e)`
`void` | `visit(ClassConstruction e)`
`void` | `visit(ClassDomainRestriction c)`
`void` | `visit(ClassExpression e)`
`void` | `visit(ClassId e)`
`void` | `visit(ClassOccurenceRestriction c)`
`void` | `visit(ClassRestriction e)`
`void` | `visit(ClassTypeRestriction c)`
`void` | `visit(ClassValueRestriction c)`
`void` | `visit(Datatype e)`
`void` | `visit(EDOALAlignment align)`
`void` | `visit(EDOALCell cell)`
`void` | `visit(EDOALRelation rel)`
`void` | `visit(Expression o)`
`void` | `visit(InstanceExpression e)`
`void` | `visit(InstanceId e)`
`void` | `visit(PathExpression p)`
`void` | `visit(PropertyConstruction e)`
`void` | `visit(PropertyDomainRestriction c)`
`void` | `visit(PropertyExpression e)`
`void` | `visit(PropertyId e)`
`void` | `visit(PropertyRestriction e)`
`void` | `visit(PropertyTypeRestriction c)`
`void` | `visit(PropertyValueRestriction c)`
`void` | `visit(RelationCoDomainRestriction c)`
`void` | `visit(RelationConstruction e)`
`void` | `visit(RelationDomainRestriction c)`
`void` | `visit(RelationExpression e)`
`void` | `visit(RelationId e)`
`void` | `visit(RelationRestriction e)`
`void` | `visit(Value e)`
`void` | `visit(ValueExpression e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alignment

    EDOALAlignment alignment

### cell

    EDOALCell cell

### nslist

    Hashtable<String,String> nslist

### embedded

    boolean embedded

### DEF

    private static Namespace DEF

### isPattern

    private boolean isPattern

Constructor Detail

### TypeCheckingVisitor

    public TypeCheckingVisitor()

Method Detail

### visit

    public void visit(Expression o)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(EDOALAlignment align)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(EDOALCell cell)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(EDOALRelation rel)

### visit

    public void visit(PathExpression p)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassId e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassConstruction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassRestriction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassValueRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassTypeRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassDomainRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ClassOccurenceRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyId e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyConstruction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyRestriction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyValueRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyDomainRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(PropertyTypeRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationId e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationConstruction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationRestriction e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationCoDomainRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(RelationDomainRestriction c)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(InstanceExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(InstanceId e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(Value e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(ValueExpression e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(Apply e)
               throws AlignmentException

  Throws:
    `AlignmentException`

### visit

    public void visit(Datatype e)
               throws AlignmentException

  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010